module.exports = {
  create: {
    requestBody: ["!treaty", "!name", "!taxes", "status", "!owner"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!treaty", "!name", "!taxes", "status", "!owner"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        treaty: "treaty",
        name: "%name%",
        owner: "owner",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
