'use strict';

const _ = require('lodash');
const moment = require('moment');
const meta = require('./.transport.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 运输
class TransportController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.order.transport;
  }

  async sign() {
    const res = await this.service.sign(this.ctx.request.body);
    this.ctx.ok(res);
  }

  async getNo() {
    const no = `t_${moment().format('YYYYMMDDHHmmss')}_${_.random(100, 999)}`;
    this.ctx.ok({ data: no });
  }

}

module.exports = CrudController(TransportController, meta);
